## ros-kinetic-turtlebot-navigation 2.3.7

=== debian/changelog ===
ros-kinetic-turtlebot-navigation (2.3.7-0xenial) xenial; urgency=high

  * Parameterize AMCL and GMapping launch files for individual cameras.
    Changed amcl_demo.launch and gmapping_demo.launch to use the
    TURTLEBOT_3D_SENSOR environment variable to choose which version of
    the XXXX_amcl.launch.xml, XXXX_costmap_param.yaml, and
    XXXX_gmapping.launch.xml files it includes.
    This is done to allow custom AMCL or GMapping parameters specific to
    the 3D camera being used. These have also been parameterized to allow
    you to pass an argument to override these values.
    For cameras that do not have custom param files, their corresponding
    launch files are simply symlinks to the default files.
  * remove superfluous leading '/' in topic names
    These are not needed as all topics in question are in the
    same namespace as the nodes. However, the '/' breaks namespacing,
    so it becomes impossible to move the whole launch file into
    a new namespace.
  * Contributors: Kevin Wells, v4hn

 -- OSRF <turtlebot@osrfoundation.org>  Tue, 01 Nov 2016 07:00:00 -0000

ros-kinetic-turtlebot-navigation (2.3.6-0xenial) xenial; urgency=high



 -- OSRF <turtlebot@osrfoundation.org>  Wed, 29 Jun 2016 07:00:00 -0000

ros-kinetic-turtlebot-navigation (2.3.5-0xenial) xenial; urgency=high



 -- OSRF <turtlebot@osrfoundation.org>  Tue, 28 Jun 2016 07:00:00 -0000

ros-kinetic-turtlebot-navigation (2.3.4-0xenial) xenial; urgency=high

  * Update CMakeLists.txt
    catkin_package() must be called before add_executable().
  * Contributors: Jihoon Lee, commaster90

 -- OSRF <turtlebot@osrfoundation.org>  Tue, 28 Jun 2016 07:00:00 -0000

ros-kinetic-turtlebot-navigation (2.3.3-0xenial) xenial; urgency=high

  * use env instead arg for map closes #134 <https://github.com/turtlebot/turtlebot_apps/issues/134>
  * Contributors: roycho111

 -- OSRF <turtlebot@osrfoundation.org>  Mon, 23 Mar 2015 07:00:00 -0000

ros-kinetic-turtlebot-navigation (2.3.2-0xenial) xenial; urgency=high



 -- OSRF <turtlebot@osrfoundation.org>  Wed, 21 Jan 2015 08:00:00 -0000

ros-kinetic-turtlebot-navigation (2.3.1-0xenial) xenial; urgency=high



 -- OSRF <turtlebot@osrfoundation.org>  Tue, 30 Dec 2014 08:00:00 -0000

ros-kinetic-turtlebot-navigation (2.3.0-0xenial) xenial; urgency=high

  * base_frame and odom_frame are configurable
  * Added comment about track_unknown_space also to global_planner_param.yaml
  * Update move_base_params.yaml
    Removed base_global_planner parameter which was defined twice
  * 
    
      * track_unknown_space parameter added to obstacle layer in costmap_common_param.yaml
      * set allow_unknown global path planning to false and added note about needed track_unkown_space param
    
  * 
    
      * Added default values for navfn comments
      * Added global planner param file
      * Added comment for global planner in move base param file
      * Removed base_local_planner.yaml
    
  * Added navfn param file to move_base.launch.xml
  * Added param file for navfn global planner
  * restructure of custom param
  * fixed typo in move_base.launch.xml
  * added comments about dummy file
  * Load custom param file for move_base
  * set laser topic from launch file
  * set gmapping  minimum score to 200
  * fixed few parameters
  * bugfix and param files clean up
  * bugfix move_base.launch.xml
  * updated turtlebot navigation params to use layer plugins
  * frame_id parameters can now be entered by user from launch file
  * Set frame_id parameters as arguments in amcl launch file
  * turtlebot navigation environment variables (map).
  * minimumScore in gmapping
  * typo bugfix for dwa-local-planner -> dwa_local_planner run_depends.
  * Run depend fix for dwa_local_planner
  * constrain translational acceleration to match the smoother's profile, #93 <https://github.com/turtlebot/turtlebot_apps/issues/93>.
  * improved obstacle avoidance, better turning arcs.
  * don't set translational min vel to zero else negligible rotations will be accepted.
  * update dwa local planner with experimentally verified kobuki limits and accelerations.
  * local costmap and obstacle layer should be referencing odom, not map, fixes #90 <https://github.com/turtlebot/turtlebot_apps/issues/90>.
  * Merge branch 'indigo' of https://github.com/turtlebot/turtlebot_apps into indigo
  * there is actually one (not zero) vy_sample when planning, fixes #89 <https://github.com/turtlebot/turtlebot_apps/issues/89>.
  * 0.0 minimum velocity so it generates local paths that spin in place.
  * switch to the dwa planner.
  * dwa planner configuration for the turtlebot.
  * Removed dependencies that move_base now brings in, closes #56 <https://github.com/turtlebot/turtlebot_apps/issues/56>.
  * Contributors: AlexReimann, Alexander Reimann, Daniel Stonier, Jihoon Lee, Mehdi Tlili, kentsommer

 -- OSRF <turtlebot@osrfoundation.org>  Tue, 30 Dec 2014 08:00:00 -0000

ros-kinetic-turtlebot-navigation (2.2.4-0xenial) xenial; urgency=high



 -- OSRF <turtlebot@osrfoundation.org>  Mon, 14 Oct 2013 07:00:00 -0000

ros-kinetic-turtlebot-navigation (2.2.3-0xenial) xenial; urgency=high



 -- OSRF <turtlebot@osrfoundation.org>  Fri, 27 Sep 2013 07:00:00 -0000

ros-kinetic-turtlebot-navigation (2.2.2-0xenial) xenial; urgency=high



 -- OSRF <turtlebot@osrfoundation.org>  Thu, 26 Sep 2013 07:00:00 -0000

ros-kinetic-turtlebot-navigation (2.2.1-0xenial) xenial; urgency=high



 -- OSRF <turtlebot@osrfoundation.org>  Mon, 23 Sep 2013 07:00:00 -0000

ros-kinetic-turtlebot-navigation (2.2.0-0xenial) xenial; urgency=high

  * On gmapping, provide a realistic range for the kinect and reduce the map_update_interval (now use default value).
  * Add bugtracker and repo info URLs.
  * Rename include launchers to *.launch.xml.
  * Changelogs at package level.
  * URL for the pull request that will make the navi modules workaround redundant.
  * Dependencies reviewed

 -- OSRF <turtlebot@osrfoundation.org>  Fri, 30 Aug 2013 07:00:00 -0000


