=== debian/control ===
Source: ros-kinetic-turtlebot-navigation
Section: misc
Priority: extra
Maintainer: OSRF <turtlebot@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-tf
Homepage: http://ros.org/wiki/turtlebot_navigation
Standards-Version: 3.9.2

Package: ros-kinetic-turtlebot-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-amcl, ros-kinetic-dwa-local-planner, ros-kinetic-gmapping, ros-kinetic-map-server, ros-kinetic-move-base, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-tf, ros-kinetic-turtlebot-bringup
Description: turtlebot_navigation
